Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.util.internal
Class BeanFactoryUtils

    java.lang.Object
      org.eclipse.gemini.blueprint.util.internal.BeanFactoryUtils

    public abstract class BeanFactoryUtils

extends Object

Utility class for beans operations.

Author:
  Costin Leau

Constructor Summary
`BeanFactoryUtils()`

Method Summary
`static String[]` | `getTransitiveDependenciesForBean(org.springframework.beans.factory.config.ConfigurableListableBeanFactory beanFactory, String beanName, boolean rawFactoryBeans, Class<?> type)` Return all beans depending directly or indirectly (transitively), on the bean identified by the beanName.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanFactoryUtils

    public BeanFactoryUtils()

Method Detail

### getTransitiveDependenciesForBean

    public static String[] getTransitiveDependenciesForBean(org.springframework.beans.factory.config.ConfigurableListableBeanFactory beanFactory,
                                                            String beanName,
                                                            boolean rawFactoryBeans,
                                                            Class<?> type)

  Return all beans depending directly or indirectly (transitively), on the bean identified by the beanName. When dealing with a FactoryBean, the factory itself can be returned or its product. Additional filtering can be executed through the type parameter. If no filtering is required, then null can be passed. Note that depending on #rawFactoryBeans parameter, the type of the factory or its product can be used when doing the filtering.

  Parameters:
    `beanFactory` - beans bean factory
    `beanName` - root bean name
    `rawFactoryBeans` - consider the factory bean itself or the its product
    `type` - type of the beans returned (null to return all beans)
  Returns:
    bean names

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013. All Rights Reserved.